import { _decorator, Component, RichText } from 'cc';
const { ccclass, property } = _decorator;
@ccclass('ChangeWorldColor')
export class ChangeWorldColor extends Component {

@property({ type: RichText })
    public richText: RichText | null = null;  // 关联的RichText组件

    @property
    public numDay: number = 1;  // 领取的天数
    public numTotal: number = 7;  // 总共的天数
    public content: string = '';  // 显示的内容
    @property
    public isClaimed: boolean = false;  // 控制内容是否显示“已领取”的开关

    start() {

        this.content = "第" + this.numDay + "天";
        // 每次开始时根据开关状态更新RichText
        //TODO 从服务器获取是否领取
        this.updateRichText();
    }

    // 根据开关状态更新RichText内容和颜色
    updateRichText() {
        if (!this.richText) return;  // 如果RichText组件为空，则不执行

        if (this.isClaimed) {
            // 如果已领取，则设置文字为灰色，并显示“已领取”
            this.richText.string = "<color=#808080>"+ this.content+"</color>";
        } else {
            // 否则可以设置为默认的正常状态或其他内容
            this.richText.string = "<color=#000000>"+ this.content+"</color>";
        }

        console.log('RichText内容已更新');
    }

    // 手动调用的更新函数，可以在编辑器中改变isClaimed属性后调用
    public triggerUpdate() {
        this.updateRichText();
    }
}